Available providers
List available providers
List providers this organization can connect.
GET
/
v1
/
model-source-profiles
List available providers
curl --request GET \
--url https://api.getmillwork.dev/v1/model-source-profiles \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/model-source-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"schema_version": "model-source-profiles/v1",
"sources": [
{
"access_lane": "byok",
"auth_schemes": [
{
"id": "api_key",
"version": "<string>"
}
],
"commercial_owner": "customer",
"credential_owner": "customer",
"endpoint_policy": {
"https_required": true,
"redirects_allowed": true
},
"protocol_profiles": [
{
"id": "openai_responses",
"version": "<string>"
}
],
"source_id": "<string>",
"source_kind": "publisher_direct"
}
]
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}⌘I
List available providers
curl --request GET \
--url https://api.getmillwork.dev/v1/model-source-profiles \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/model-source-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"schema_version": "model-source-profiles/v1",
"sources": [
{
"access_lane": "byok",
"auth_schemes": [
{
"id": "api_key",
"version": "<string>"
}
],
"commercial_owner": "customer",
"credential_owner": "customer",
"endpoint_policy": {
"https_required": true,
"redirects_allowed": true
},
"protocol_profiles": [
{
"id": "openai_responses",
"version": "<string>"
}
],
"source_id": "<string>",
"source_kind": "publisher_direct"
}
]
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}